﻿class Wall extends MovieClip {
	var leftPoint;
	var rightPoint;
	var wallHeight = 0;
	var gradientMatrix;
	function setPoints(point1, point2) {
		if (point1.x>point2.x) {
			leftPoint = point2;
			rightPoint = point1;
		} else {
			leftPoint = point1;
			rightPoint = point2;
		}
		//var angle = Math.atan2(rightPoint.y-leftPoint.y, rightPoint.x-leftPoint.x);
		var h = 100;
		var w = rightPoint.x-leftPoint.x;
		gradientMatrix = {matrixType:"box", x:leftPoint.x, y:leftPoint.y, w:w, h:400, r:0};
	}
	function render() {
		clear();
		var x1 = leftPoint.x;
		var x2 = rightPoint.x;
		var y1 = leftPoint.y;
		var y2 = rightPoint.y;
		lineStyle(0.2, 0xFFFFFF);
		beginGradientFill("linear", [0x555555, 0xDDDDDD], [100, 100], [0, 255], gradientMatrix);
		moveTo(x1, y1);
		lineTo(x2, y2);
		lineTo(x2, y2+wallHeight);
		lineTo(x1, y1+wallHeight);
		lineTo(x1, y1);
		endFill();
	}
	function onEnterFrame() {
		if (wallHeight>-40) {
			wallHeight -= 2;
			render();
		}
	}
}
